<?php

namespace App\Dto;

readonly class SnipFilterRequest implements CachableDtoInterface
{
    public const string VISIBILITY_ALL = 'all';
    public const string VISIBILITY_VISIBLE = 'visible';
    public const string VISIBILITY_HIDDEN = 'hidden';

    public const string SORT_NAME = 'name';
    public const string SORT_DATE = 'date';

    public function __construct(
        public ?string $visibility = self::VISIBILITY_VISIBLE,
        public ?string $sort = self::SORT_DATE,
    ) {}

    public function toArray(): array
    {
        return [
            'visibility' => $this->visibility,
            'sort' => $this->sort,
        ];
    }
}